EDIT - bug #10038

NPE when editing multilanguage support
04/07/2022 02:08 PM - Katja Luther

Status: Closed Start date: 04/27/2022
Priority: Highest Due date: 04/29/2022
Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.32

Severity: normal Found in Version:

Description

mail AM:

Beim Einstellen der Languages in DB Preferences — Language- MultiLanguageSupport
nach Auswahl bestimmter Sprachen.

last remote method : http://132.248.13.83:8080/cdmserver/cdm_flora_mexico/remoting/preference.serv
ice

last remote request client time : 2022-04-07T14:04:38.718

last remote request response header time : Thu, 07 Apr 2022 12:04:39 GMT

client error time : 2022-04-07T14:04:39.489

login : admin
editor version : 5.31.0
server : 132.248.13.83 (Mexico) / cdm_flora_mexico

schema version : 5.29.0.0.20211122
os : Windows Server 2012 R2 6.3 amdo64
java : 1.8.0_131
java.lang.NullPointerException

at eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.LanguageAdminMenuPreference.per
formOk (LanguageAdminMenuPreference. java:38)

at org.eclipse.jface.preference.PreferencePage.performApply (PreferencePage. java:464)

at eu.etaxonomy.taxeditor.preference.menu.CdmPreferencePage.performApply (CdmPreference
Page.java:88)

at org.eclipse.jface.preference.PreferencePage$2.widgetSelected (PreferencePage. java:29
4)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener.java:249)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.jface.window.Window.runEventLoop (Window.java:818)

at org.eclipse.jface.window.Window.open (Window. java:794)

at eu.etaxonomy.taxeditor.workbench.handler.OpenAdminPreferencesHandler.execute (OpenAd
minPreferencesHandler. java:124)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:4

at java.lang.reflect.Method.invoke (Method. java:498)
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:55)
at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl.java:282

at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:264)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory
.java:132)

at org.eclipse.ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceH
andler.java:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedComma
nd. java:488)
at org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServ
iceImpl. java:210)

at org.eclipse.ed.ui.workbench.renderers.swt.HandledContributionItem.executeltem (Handl
edContributionItem. java:433)

at org.eclipse.e4d.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSele

ction (AbstractContributionItem. java:454)

at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (Ab

stractContributionItem. java:482)
swt.widgets.EventTable.sendEvent (EventTable. java:84)
swt.widgets.Display.sendEvent (Display.java:4418)
swt.widgets.Widget.sendEvent (Widget. java:1079)
swt.widgets.Display.runDeferredEvents (Display.java:4236)
swt.widgets.Display.readAndDispatch (Display. java:3824)
ed4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEng

core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngin

ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:15

ui.internal.Workbench$5.run (Workbench. java:693)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application. java:20)
equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)
core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(Eclipse

core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLaunch

core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter. java:243)
NativeMethodAccessorImpl.invokeO (Native Method)
NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:4

java.lang.reflect.Method.invoke (Method. java:498)

org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

Associated revisions

Revision f09ac804 - 04/08/2022 11:08 AM - Katja Luther

ref #10038: fix NPE in preference page

History

#1 - 04/27/2022 12:47 PM - Andreas Miiller

- Status changed from New to Resolved

- Priority changed from New to Highest

- % Done changed from 0 to 70

#2 - 04/27/2022 12:47 PM - Andreas Miuller
- Due date set to 04/29/2022

- Start date set to 04/27/2022

#3 - 04/29/2022 03:03 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

This should be fixed. Please review.

#4 - 05/06/2022 10:02 AM - Andreas Miiller

- Status changed from Resolved to Closed
- % Done changed from 70 to 100
Seems to work as expected.

#5 - 05/06/2022 10:14 AM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther
